- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# metadatum.hpp File Reference

Provides abstract base classes Metadatum and Key. More...

`#include "types.hpp"`
`#include "value.hpp"`
`#include <string>`
`#include <memory>`

Include dependency graph for metadatum.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::Key
| Abstract base class defining the Key of a metadatum. Keys are used to identify and group metadata. More...
class | Exiv2::Metadatum
| Abstract base class defining the interface to access information related to one metadata tag. More...
class | Exiv2::FindMetadatumByKey
| Unary predicate that matches a Exifdatum with a given key. More...
## Functions
std::ostream & | Exiv2::operator<< (std::ostream &os, const Key &key)
| Output operator for Key types.
std::ostream & | Exiv2::operator<< (std::ostream &os, const Metadatum &md)
| Output operator for Metadatum types, printing the interpreted tag value.
bool | Exiv2::cmpMetadataByTag (const Metadatum &lhs, const Metadatum &rhs)
| Compare two metadata by tag. Return true if the tag of metadatum lhs is less than that of rhs.
bool | Exiv2::cmpMetadataByKey (const Metadatum &lhs, const Metadatum &rhs)
| Compare two metadata by key. Return true if the key of metadatum lhs is less than that of rhs.

## Detailed Description

Provides abstract base classes Metadatum and Key.

Version:
  Rev
    808

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Brad Schick (brad) brad@robotbattle.com

Date:
  09-Jan-04, ahu: created
  31-Jul-04, brad: isolated as a component
  23-Aug-04, ahu: added Key